## ros-indigo-rosdoc-lite 0.2.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(rosdoc_lite)
find_package(catkin REQUIRED)

catkin_package()

install(FILES DESTINATION ${CATKIN_PROJECT_SHARE_DESTINATION}/cmake)

catkin_python_setup()

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/rosdoc_lite.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/rosdoc_lite.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/rosdoc_lite"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/rosdoc_lite"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
ros-indigo-rosdoc-lite (0.2.9-0trusty) trusty; urgency=high

  * use yaml.safe_load for untrusted yaml input
  * Contributors: Dirk Thomas

 -- Jack O'Quin <jack.oquin@gmail.com>  Wed, 23 Jan 2019 08:00:00 -0000

ros-indigo-rosdoc-lite (0.2.8-0trusty) trusty; urgency=high

  * fix top bar on recent doxygen versions
    * on recent doxygen topbar requires jquery
    * fixes documentation generation on ROS melodic
    * see https://www.stack.nl/~dimitri/doxygen/manual/changelog.html#log_1_8_1
  * add use_mdfile_as_mainpage option
    This makes it possible/easier to use a markdown file as mainpage, e.g. the README.md
  * remove unsupported option latex_paper_size (#79 <https://github.com/ros-infrastructure/rosdoc_lite/issues/79>)
  * Expose doxygen parameter GENERATE_QHP
  * Contributors: Dirk Thomas, Felix Ruess, Jack O'Quin, Jiri Horner, Levi Armstrong, Tully Foote

 -- Jack O'Quin <jack.oquin@gmail.com>  Mon, 17 Sep 2018 07:00:00 -0000

ros-indigo-rosdoc-lite (0.2.7-0trusty) trusty; urgency=high

  * fix import (#74 <https://github.com/ros-infrastructure/rosdoc_lite/issues/74>)
  * add ability to configure the doxygen parameter EXTRACT_ALL (#72 <https://github.com/ros-infrastructure/rosdoc_lite/issues/72>)
  * more correct reference to the package website url (#68 <https://github.com/ros-infrastructure/rosdoc_lite/issues/68>)
  * get rid of HTML static path, so build farm quits complaining
  * Contributors: Daniel Stonier, Dirk Thomas, Jack O'Quin, Levi Armstrong

 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 02 Jun 2017 07:00:00 -0000

ros-indigo-rosdoc-lite (0.2.6-0trusty) trusty; urgency=high

  * Support SEARCHENGINE option for doxygen
    Closes #56 <https://github.com/ros-infrastructure/rosdoc_lite/issues/56>
  * Contributors: Jack O'Quin, Kentaro Wada

 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 12 Apr 2016 07:00:00 -0000

ros-indigo-rosdoc-lite (0.2.5-0trusty) trusty; urgency=high

  * Add autodoc to sphinx config.
  * Use generator specific output folder.
  * Move import to local scope, since when the new API is being invoked
    from jenkins_scripts genmsg is not on the Python path.
  * Add API to provide generator specific output folders.
  * Run epydoc in the package folder.
  * Print output from epydoc invocation (fix #50 <https://github.com/ros-infrastructure/rosdoc_lite/issues/50>).
  * Update doxygen template to disable external groups and pages.
  * Update doxygen template to 1.8.6.
  * Contributors: Dirk Thomas, Jack O'Quin, Jonathan Bohren

 -- Jack O'Quin <jack.oquin@gmail.com>  Sat, 28 Feb 2015 08:00:00 -0000

ros-indigo-rosdoc-lite (0.2.4-0trusty) trusty; urgency=high

  * Groovy, Hydro and Indigo release.
  * Introduce doxygen PREDEFINED tag (#47 <https://github.com/ros-infrastructure/rosdoc_lite/issues/47>).  Thanks to Fabien
    Spindler.
  * Bugfix to enable devel space usage of rosdoc-lite, fixes #44 <https://github.com/ros-infrastructure/rosdoc_lite/issues/44>.
    Thanks to Daniel Stonier.
  * Delete upload script which is not used anymore.  Its functionality
    is in jenkins_scripts doc_stack.py <https://github.com/ros-infrastructure/jenkins_scripts/blob/master/doc_stack.py>
  * Merge pull request #41 <https://github.com/ros-infrastructure/rosdoc_lite/issues/41> to
    disable doxygen searchengine and latex generation.
  * Update ros.org urls.
  * Add list of actions to manifest.yaml after documenting them.
  * Order list of documented msgs/srvs/actions.
  * Add debug information to epyenator.
  * Contributors: Daniel Stonier, Dirk Thomas, Fabien Spindler, Jack O'Quin, Tully Foote

 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 22 Apr 2014 07:00:00 -0000

ros-indigo-rosdoc-lite (0.2.3-0trusty) trusty; urgency=high

  * Groovy and Hydro release.
  * Working version of action documentation.
  * Restore support for raw message comments in docs (#29 <https://github.com/ros-infrastructure/rosdoc_lite/issues/29>).

 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 02 Aug 2013 07:00:00 -0000

ros-indigo-rosdoc-lite (0.2.2-0trusty) trusty; urgency=high

  * Groovy and Hydro release.
  * Write information on deprecated packages to manifest.yaml.
  * Updated package.xml with new <buildtool_depend>catkin<...>
    requirement.
  * Now writes information about package maintainers to the manifest
    generated for the wiki.
  * Adding bugtracker and repo_url fields to manifest generation.
  * Adding a missing dep on python-catkin-pkg.
  * Switching to python kitchen for unicode support to get around edge
    cases.
  * Switching from abspath to realpath to make sure to handle symlinks
    correctly.
  * Add docstrings.

 -- Jack O'Quin <jack.oquin@gmail.com>  Mon, 28 Jan 2013 08:00:00 -0000

ros-indigo-rosdoc-lite (0.2.1-0trusty) trusty; urgency=high

  * Groovy release
  * Updating so that dependencies are only listed once, regardless of
    how many times they appear in package.xml
  * Updating so that ros-theme can be found
  * Updating description in package.xml to be a bit more informative
  * Adding proper export to rosdoc_lite
  * Changing default doc directory to be doc
  * Adding docs for rosdoc_lite

 -- Jack O'Quin <jack.oquin@gmail.com>  Wed, 24 Oct 2012 07:00:00 -0000

ros-indigo-rosdoc-lite (0.2.0-0trusty) trusty; urgency=high

  * Initial Groovy release.
  * Message generation now links to the proper place, but expansion
    commented out.
  * Write manifest.yaml files for the wiki to use.
  * Support both new package.xml and the old manifest.xml on Groovy.
  * Port to Groovy catkin.

 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 05 Oct 2012 07:00:00 -0000

ros-indigo-rosdoc-lite (0.1.3-0trusty) trusty; urgency=high

  * Fuerte release.
  * Only list dependencies once, regardless of how many times they
    appear in package.xml.
  * Updating so that ros-theme can be found.
  * Adding proper export to manifest.xml.
  * Changing default doc directory to be doc.
  * For Fuerte, we need to pull the version of the package from
    stack.xml instead of package.xml.


=== debian/control ===
Source: ros-indigo-rosdoc-lite
Section: misc
Priority: extra
Maintainer: Jack O'Quin <jack.oquin@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://wiki.ros.org/rosdoc_lite
Standards-Version: 3.9.2

Package: ros-indigo-rosdoc-lite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, doxygen, python-catkin-pkg, python-epydoc, python-kitchen, python-rospkg, python-sphinx, python-yaml, ros-indigo-genmsg
Description: This ROS package wraps documentation tools like doxygen, sphinx, and epydoc, making it convenient to generate ROS package documentation.
 It also generates online documentation for the ROS wiki.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rosdoc-lite//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
